Subject: [hybi] Two Questions

From: "Greg Longtin" <[email-masked]>
Date: Thu, 31 Mar 2011 23:09:31 -0500

To all,

I had to ask...

I would like to know, from an HTTP perspective, if a generic and valid
*HTTP* upgrade request cannot be replied to, per the HTTP spec.  This (a
none response) seems to be a correct response per the WS 06 spec to an
invalid *WebSocket* upgrade/handshake request from a client.
 
Secondly, I am still unclear on whether WS *can* or *must* use ports 80 /
443.  Section 1.7 uses the term 'by default'.  I think that implies *can* or
*should* but not *must*...

Greg Longtin